summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorAndrew Tridgell <tridge@samba.org>2010-05-03 09:12:43 +0200
committerAndrew Tridgell <tridge@samba.org>2010-05-03 09:18:07 +0200
commitbaffc1e89f424ed6f9478b4cd8c9de1601b51266 (patch)
treead7bd57e47a605ab782beb4b3ed75e8b0a6a4770
parent6be5bc8e8009ef19473f25b7c4841bf56c4d13c7 (diff)
downloadsamba-baffc1e89f424ed6f9478b4cd8c9de1601b51266.tar.gz
samba-baffc1e89f424ed6f9478b4cd8c9de1601b51266.tar.bz2
samba-baffc1e89f424ed6f9478b4cd8c9de1601b51266.zip
s4-waf: switch Samba4 over to the waf build by default
the old autogen.sh is now calld autogen-autotools.sh For now autogen.sh is a link to autogen-waf.sh. We can remove autogen-waf.sh in the future, but for now I'm leaving it in place so as not to break existing scripts (both build farm, and the scripts for the standalone libs)
-rwxr-xr-xsource4/autogen-autotools.sh85
l---------source4/autogen-waf.sh2
l---------[-rwxr-xr-x]source4/autogen.sh86
3 files changed, 87 insertions, 86 deletions
diff --git a/source4/autogen-autotools.sh b/source4/autogen-autotools.sh
new file mode 100755
index 0000000000..22e35e0316
--- /dev/null
+++ b/source4/autogen-autotools.sh
@@ -0,0 +1,85 @@
+#!/bin/sh
+
+# Run this script to build samba from git.
+
+while true; do
+ case $1 in
+ --version-file)
+ VERSION_FILE=$2
+ shift 2
+ ;;
+ *)
+ break
+ ;;
+ esac
+done
+
+## insert all possible names (only works with
+## autoconf 2.x)
+TESTAUTOHEADER="autoheader autoheader-2.53 autoheader2.50 autoheader259 autoheader253"
+TESTAUTOCONF="autoconf autoconf-2.53 autoconf2.50 autoconf259 autoconf253"
+
+AUTOHEADERFOUND="0"
+AUTOCONFFOUND="0"
+
+if which which > /dev/null 2>&1; then
+ echo -n
+else
+ echo "$0: need 'which' to figure out if we have the right autoconf to build samba from git" >&2
+ exit 1
+fi
+##
+## Look for autoheader
+##
+for i in $TESTAUTOHEADER; do
+ if which $i > /dev/null 2>&1; then
+ if test `$i --version | head -n 1 | cut -d. -f 2 | sed "s/[^0-9]//g"` -ge 53; then
+ AUTOHEADER=$i
+ AUTOHEADERFOUND="1"
+ break
+ fi
+ fi
+done
+
+##
+## Look for autoconf
+##
+
+for i in $TESTAUTOCONF; do
+ if which $i > /dev/null 2>&1; then
+ if test `$i --version | head -n 1 | cut -d. -f 2 | sed "s/[^0-9]//g"` -ge 53; then
+ AUTOCONF=$i
+ AUTOCONFFOUND="1"
+ break
+ fi
+ fi
+done
+
+
+##
+## do we have it?
+##
+if test "$AUTOCONFFOUND" = "0" -o "$AUTOHEADERFOUND" = "0"; then
+ echo "$0: need autoconf 2.53 or later to build samba from git" >&2
+ exit 1
+fi
+
+echo "$0: running script/mkversion.sh"
+./script/mkversion.sh $VERSION_FILE || exit 1
+
+rm -rf autom4te*.cache
+rm -f configure include/config_tmp.h*
+rm -f makefile Makefile
+
+IPATHS="-I. -I../lib/replace"
+
+echo "$0: running $AUTOHEADER $IPATHS"
+$AUTOHEADER $IPATHS || exit 1
+
+echo "$0: running $AUTOCONF $IPATHS"
+$AUTOCONF $IPATHS || exit 1
+
+rm -rf autom4te*.cache
+
+echo "Now run ./configure (or ./configure.developer) and then make."
+exit 0
diff --git a/source4/autogen-waf.sh b/source4/autogen-waf.sh
index 153637b1d9..5347ab2e95 120000
--- a/source4/autogen-waf.sh
+++ b/source4/autogen-waf.sh
@@ -1 +1 @@
-../buildtools/scripts/autogen-waf.sh \ No newline at end of file
+autogen.sh \ No newline at end of file
diff --git a/source4/autogen.sh b/source4/autogen.sh
index 22e35e0316..99150f3a28 100755..120000
--- a/source4/autogen.sh
+++ b/source4/autogen.sh
@@ -1,85 +1 @@
-#!/bin/sh
-
-# Run this script to build samba from git.
-
-while true; do
- case $1 in
- --version-file)
- VERSION_FILE=$2
- shift 2
- ;;
- *)
- break
- ;;
- esac
-done
-
-## insert all possible names (only works with
-## autoconf 2.x)
-TESTAUTOHEADER="autoheader autoheader-2.53 autoheader2.50 autoheader259 autoheader253"
-TESTAUTOCONF="autoconf autoconf-2.53 autoconf2.50 autoconf259 autoconf253"
-
-AUTOHEADERFOUND="0"
-AUTOCONFFOUND="0"
-
-if which which > /dev/null 2>&1; then
- echo -n
-else
- echo "$0: need 'which' to figure out if we have the right autoconf to build samba from git" >&2
- exit 1
-fi
-##
-## Look for autoheader
-##
-for i in $TESTAUTOHEADER; do
- if which $i > /dev/null 2>&1; then
- if test `$i --version | head -n 1 | cut -d. -f 2 | sed "s/[^0-9]//g"` -ge 53; then
- AUTOHEADER=$i
- AUTOHEADERFOUND="1"
- break
- fi
- fi
-done
-
-##
-## Look for autoconf
-##
-
-for i in $TESTAUTOCONF; do
- if which $i > /dev/null 2>&1; then
- if test `$i --version | head -n 1 | cut -d. -f 2 | sed "s/[^0-9]//g"` -ge 53; then
- AUTOCONF=$i
- AUTOCONFFOUND="1"
- break
- fi
- fi
-done
-
-
-##
-## do we have it?
-##
-if test "$AUTOCONFFOUND" = "0" -o "$AUTOHEADERFOUND" = "0"; then
- echo "$0: need autoconf 2.53 or later to build samba from git" >&2
- exit 1
-fi
-
-echo "$0: running script/mkversion.sh"
-./script/mkversion.sh $VERSION_FILE || exit 1
-
-rm -rf autom4te*.cache
-rm -f configure include/config_tmp.h*
-rm -f makefile Makefile
-
-IPATHS="-I. -I../lib/replace"
-
-echo "$0: running $AUTOHEADER $IPATHS"
-$AUTOHEADER $IPATHS || exit 1
-
-echo "$0: running $AUTOCONF $IPATHS"
-$AUTOCONF $IPATHS || exit 1
-
-rm -rf autom4te*.cache
-
-echo "Now run ./configure (or ./configure.developer) and then make."
-exit 0
+../../buildtools/scripts/autogen-waf.sh \ No newline at end of file